Subject: Re: bug#37257: failure of emacsclient ... --alternate-editor="emacs --eval"

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 14 Sep 2019 22:34:33 +0200

Paul Eggert <[email-masked]> writes:

> On 9/14/19 5:15 AM, Lars Ingebrigtsen wrote:
>> I guess just reverting the change in question would fix this
>> regressions, but this is a rather strange use case.  What's the point of
>> specifying Emacs as the alternate editor?
>
> Presumably, because someone mistakenly started emacsclient even though
> no Emacs server is running.

Oh, right.  Yes, that seems like a useful use case.

Hm, I guess we should just revert the patch -- I don't see any obvious
way to determine whether --alternate-editor is Emacs (which will then
understand the rest of the parameters) or something else (which will
then not).  So leaving it the way it was is best.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no